Subject: Re: [PATCH v4 6/8] cmake: support for building git on windows with mingw

From: Junio C Hamano <[email-masked]>
Date: Thu, 18 Jun 2020 14:00:42 -0700

Sibi Siddharthan <[email-masked]> writes:

> The reason I deferred modifying in PATCH v4 was because there was no
> easy way(cross platform)
> to change file permissions. The workaround is to juggle the files to a
> temporary directory, and then copy them
> to where they are intended to be with the required permissions. This
> added quite a bit of code.
> Since Windows platform was the priority, I did not address this issue.

I recall asking you, in a very early iteration, if you just
concentrate on Windows and do not even pretend you support Linux or
any other systems, the series can be kept smaller and review
simpler, and your answer was "no, it can be done with just a little
extra code".  But I think you are saying it needs "workaround" and
what needs to happen in the workaround sounds quite ugly to me.

Let's not worry about cross-platform and instead stick to Windows
and nothing else for now to expedite the process.  As long as it is
advertised as such, nobody would complain that it does not work on
Linux or macOS.

Thanks.